## org.codehaus.groovy.control
Class CompilationUnit.GroovyClassOperation

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.GroovyClassOperation

Enclosing class:
  CompilationUnit

    public abstract static class CompilationUnit.GroovyClassOperation

extends Object

Constructor Summary
`CompilationUnit.GroovyClassOperation()`

Method Summary
`abstract void` `call(GroovyClass gclass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilationUnit.GroovyClassOperation

    public CompilationUnit.GroovyClassOperation()

Method Detail

### call

    public abstract void call(GroovyClass gclass)
                       throws CompilationFailedException

  Throws:
    `CompilationFailedException`

Copyright © 2003-2008 The Codehaus. All rights reserved.